pruneModel {arf3DS4} | R Documentation

## Prune a model based on invalid gradients and bounded parameters.

### Description

Prune model prunes an ARF model according to the gradients and bounds.

### Usage

    pruneModel(arfmodel,modelname='defaultmodel',subject='',
     condition='',grad=NULL,bound=NULL,pval=NULL,
     options=new('options'),overwrite=T,experiment=NULL)

### Arguments

`arfmodel` | An arf model object (class `model`).
`modelname` | Name for the new models (pruneModel makes newmodelnames).
`subject` | Name of the subject.
`condition` | Name of the condition.
`grad` | Absolute threshold for gradient check.
`bound` | Number of digits used in equality check on the bound.
`pval` | Prune non-significant regions with p-values higher than pval.
`options` | An "options" object (class `options`).
`overwrite` | Overwrite existing objects?
`experiment` | Optional experiment object.

### Value

Returns an object of class "model" with the appropriate slots.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `options`, `experiment`, `processSeed`

[Package arf3DS4 version 2.5-10 Index]